Skip to main content
POST
/
api
/
v1
/
:team_slug
/
:app_slug
/
brands
Error
A valid request URL is required to generate request examples
{
  "data": {
    "cover": {
      "id": "<string>",
      "url": "<string>"
    },
    "created_at": "<string>",
    "description": "<string>",
    "id": "<string>",
    "logo": {
      "id": "<string>",
      "url": "<string>"
    },
    "name": "<string>",
    "series": [
      {
        "id": "<string>",
        "name": "<string>",
        "slug": "<string>"
      }
    ],
    "slug": "<string>",
    "translations": {
      "description": [
        {
          "id": "<string>",
          "locale": "<string>",
          "omni_channel_translations": [
            {
              "id": "<string>",
              "market_id": "<string>",
              "store_group_id": "<string>",
              "value": "<string>"
            }
          ],
          "value": "<string>"
        }
      ]
    },
    "updated_at": "<string>"
  },
  "details": [
    "<string>"
  ],
  "success": true
}

Path Parameters

app_slug
string
required

App slug

team_slug
string
required

Team slug

Body

application/json

data on brand

name
string
required
slug
string
required
cover_id
string
description
string
logo_id
string

Response

Brand created succesfully

data
object
details
string[]

Additional contextual information about the response. Used to provide supplementary details beyond the main data payload, such as validation warnings or processing notes

success
boolean